 import "Turbine.UI"; 
 import "Turbine.UI.Extensions"; 
 import "Turbine.UI.Lotro"; 

 import "Homeopatix.Animalerie.Globals"
 import "Homeopatix.Animalerie.MinimizedIcon"
 import "Homeopatix.Animalerie.VindarPatch"
 import "Homeopatix.Animalerie.Commands"
 import "Homeopatix.Animalerie.LoadSettings"

Turbine.Shell.WriteLine("<rgb=#CC56DA>Animalerie</rgb> <rgb=#DDDDDD>".. plugin:GetVersion() .." par Homeo</rgb>")

function SaveSettings(value)
	if(value == 1) then
		settings.positionX = tostring(settings.positionX);
   		settings.positionY = tostring(settings.positionY);
	elseif(value == 2) then
		settings.minimizeX = tostring(settings.minimizeX);
   		settings.minimizeY = tostring(settings.minimizeY);
	elseif(value == 3) then
		settings.shortcutData_1 = tostring(settings.shortcutData_1);
   		settings.shortcutData_2 = tostring(settings.shortcutData_2);
   		settings.shortcutData_3 = tostring(settings.shortcutData_3);
   		settings.shortcutData_4 = tostring(settings.shortcutData_4);
   		settings.shortcutData_5 = tostring(settings.shortcutData_5);
   		settings.shortcutData_6 = tostring(settings.shortcutData_6);
   		settings.shortcutData_7 = tostring(settings.shortcutData_7);
   		settings.shortcutData_8 = tostring(settings.shortcutData_8);
   		settings.shortcutData_9 = tostring(settings.shortcutData_9);
   		settings.shortcutData_10 = tostring(settings.shortcutData_10);
   		settings.shortcutData_11 = tostring(settings.shortcutData_11);
   		settings.shortcutData_12 = tostring(settings.shortcutData_12);
   		settings.shortcutData_13 = tostring(settings.shortcutData_13);
   		settings.shortcutData_14 = tostring(settings.shortcutData_14);
	elseif(value == 4) then
		settings.isWindowVisible = settings.isWindowVisible;
	end
   
   -- save the settings
	PatchDataSave( Turbine.DataScope.Character, "Animalerie_Settings", settings);
end

CreateLocalizationInfo();

------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
HelloWindow=Turbine.UI.Lotro.GoldWindow(); 
HelloWindow:SetSize(300,160); 
HelloWindow:SetText(Strings.PluginName); 
HelloWindow.Message=Turbine.UI.Label(); 
HelloWindow.Message:SetParent(HelloWindow); 
HelloWindow.Message:SetSize(150,10); 
HelloWindow.Message:SetPosition(HelloWindow:GetWidth()/2 - 75, 32); 
HelloWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
HelloWindow.Message:SetText(Strings.PluginTextFam); 

HelloWindow.Message=Turbine.UI.Label(); 
HelloWindow.Message:SetParent(HelloWindow); 
HelloWindow.Message:SetSize(150,10); 
HelloWindow.Message:SetPosition(HelloWindow:GetWidth()/2 - 75, 85); 
HelloWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
HelloWindow.Message:SetText(Strings.PluginTextFood); 
HelloWindow:SetWantsKeyEvents(true);

LoadSettings();

if(settings.isWindowVisible == true) then
	HelloWindow:SetVisible(true); 
else
	HelloWindow:SetVisible(false); 
end


HelloWindow:SetPosition(settings.positionX, settings.positionY);

------------------------------------------------------------------------------------------
-- handle minimizeIcon
------------------------------------------------------------------------------------------
MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 40, 40, HelloWindow:SetVisible(true));

MainMinimizedIcon:SetPosition(settings.minimizeX, settings.minimizeY);
MainMinimizedIcon:SetZOrder(0);

MainMinimizedIcon:SetBackground(ResourcePath .. "Animalerie.tga");
MainMinimizedIcon:SetBackColorBlendMode(Turbine.UI.BlendMode.Multiply);
MainMinimizedIcon:SetBackColor(Turbine.UI.Color(0, 0.5, 0.5, 0.5));
    
MainMinimizedIcon.PositionChanged = function()
	settings.minimizeX = MainMinimizedIcon:GetLeft();
	settings.minimizeY = MainMinimizedIcon:GetTop();
	SaveSettings(2);
end


--------------------------------------------------------------------------------------------
--Pet icons
--------------------------------------------------------------------------------------------
centerWindow = Turbine.UI.Extensions.SimpleWindow();
centerWindow:SetSize( 36 , 36 );
centerWindow:SetParent( HelloWindow );
centerWindow:SetPosition( 18 ,HelloWindow:GetHeight()/2 - 36);
centerWindow:SetVisible( true );
centerWindow:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow2 = Turbine.UI.Extensions.SimpleWindow();
centerWindow2:SetSize( 36 , 36 );
centerWindow2:SetParent( HelloWindow );
centerWindow2:SetPosition( 56 ,HelloWindow:GetHeight()/2 - 36);
centerWindow2:SetVisible( true );
centerWindow2:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow3 = Turbine.UI.Extensions.SimpleWindow();
centerWindow3:SetSize( 36 , 36 );
centerWindow3:SetParent( HelloWindow );
centerWindow3:SetPosition( 94,HelloWindow:GetHeight()/2 - 36);
centerWindow3:SetVisible( true );
centerWindow3:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow4 = Turbine.UI.Extensions.SimpleWindow();
centerWindow4:SetSize( 36 , 36 );
centerWindow4:SetParent( HelloWindow );
centerWindow4:SetPosition( 132,HelloWindow:GetHeight()/2 - 36);
centerWindow4:SetVisible( true );
centerWindow4:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow5 = Turbine.UI.Extensions.SimpleWindow();
centerWindow5:SetSize( 36 , 36 );
centerWindow5:SetParent( HelloWindow );
centerWindow5:SetPosition( 170,HelloWindow:GetHeight()/2 - 36);
centerWindow5:SetVisible( true );
centerWindow5:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow6 = Turbine.UI.Extensions.SimpleWindow();
centerWindow6:SetSize( 36 , 36 );
centerWindow6:SetParent( HelloWindow );
centerWindow6:SetPosition( 208,HelloWindow:GetHeight()/2 - 36);
centerWindow6:SetVisible( true );
centerWindow6:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow7 = Turbine.UI.Extensions.SimpleWindow();
centerWindow7:SetSize( 36 , 36 );
centerWindow7:SetParent( HelloWindow );
centerWindow7:SetPosition( 246,HelloWindow:GetHeight()/2 - 36);
centerWindow7:SetVisible( true );
centerWindow7:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );


centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow2);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow3);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow4);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow5);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow6);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow7);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);


centerQS1 = Turbine.UI.Lotro.Quickslot();
centerQS1:SetParent( centerWindow );
centerQS1:SetPosition( 0, 0 );
centerQS1:SetSize( 35, 35 );
centerQS1:SetUseOnRightClick(false);

centerQS2 = Turbine.UI.Lotro.Quickslot();
centerQS2:SetParent( centerWindow2 );
centerQS2:SetPosition( 0, 0 );
centerQS2:SetSize( 35, 35 );
centerQS2:SetUseOnRightClick(false);

centerQS3 = Turbine.UI.Lotro.Quickslot();
centerQS3:SetParent( centerWindow3 );
centerQS3:SetPosition( 0, 0 );
centerQS3:SetSize( 35, 35 );
centerQS3:SetUseOnRightClick(false);

centerQS4 = Turbine.UI.Lotro.Quickslot();
centerQS4:SetParent( centerWindow4 );
centerQS4:SetPosition( 0, 0 );
centerQS4:SetSize( 35, 35 );
centerQS4:SetUseOnRightClick(false);

centerQS5 = Turbine.UI.Lotro.Quickslot();
centerQS5:SetParent( centerWindow5 );
centerQS5:SetPosition( 0, 0 );
centerQS5:SetSize( 35, 35 );
centerQS5:SetUseOnRightClick(false);

centerQS6 = Turbine.UI.Lotro.Quickslot();
centerQS6:SetParent( centerWindow6 );
centerQS6:SetPosition( 0, 0 );
centerQS6:SetSize( 35, 35 );
centerQS6:SetUseOnRightClick(false);

centerQS7 = Turbine.UI.Lotro.Quickslot();
centerQS7:SetParent( centerWindow7 );
centerQS7:SetPosition( 0, 0 );
centerQS7:SetSize( 35, 35 );
centerQS7:SetUseOnRightClick(false);

--------------------------------------------------------------------------------------------
--Food for Pet icons
--------------------------------------------------------------------------------------------

centerWindow8 = Turbine.UI.Extensions.SimpleWindow();
centerWindow8:SetSize( 36 , 36 );
centerWindow8:SetParent( HelloWindow );
centerWindow8:SetPosition( 18 ,HelloWindow:GetHeight()/2 + 18);
centerWindow8:SetVisible( true );
centerWindow8:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow9 = Turbine.UI.Extensions.SimpleWindow();
centerWindow9:SetSize( 36 , 36 );
centerWindow9:SetParent( HelloWindow );
centerWindow9:SetPosition( 56 ,HelloWindow:GetHeight()/2  + 18);
centerWindow9:SetVisible( true );
centerWindow9:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow10 = Turbine.UI.Extensions.SimpleWindow();
centerWindow10:SetSize( 36 , 36 );
centerWindow10:SetParent( HelloWindow );
centerWindow10:SetPosition( 94,HelloWindow:GetHeight()/2  + 18);
centerWindow10:SetVisible( true );
centerWindow10:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow11 = Turbine.UI.Extensions.SimpleWindow();
centerWindow11:SetSize( 36 , 36 );
centerWindow11:SetParent( HelloWindow );
centerWindow11:SetPosition( 132,HelloWindow:GetHeight()/2  + 18);
centerWindow11:SetVisible( true );
centerWindow11:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow12 = Turbine.UI.Extensions.SimpleWindow();
centerWindow12:SetSize( 36 , 36 );
centerWindow12:SetParent( HelloWindow );
centerWindow12:SetPosition( 170,HelloWindow:GetHeight()/2  + 18);
centerWindow12:SetVisible( true );
centerWindow12:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow13 = Turbine.UI.Extensions.SimpleWindow();
centerWindow13:SetSize( 36 , 36 );
centerWindow13:SetParent( HelloWindow );
centerWindow13:SetPosition( 208,HelloWindow:GetHeight()/2  + 18);
centerWindow13:SetVisible( true );
centerWindow13:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

centerWindow14 = Turbine.UI.Extensions.SimpleWindow();
centerWindow14:SetSize( 36 , 36 );
centerWindow14:SetParent( HelloWindow );
centerWindow14:SetPosition( 246,HelloWindow:GetHeight()/2  + 18);
centerWindow14:SetVisible( true );
centerWindow14:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );


centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow8);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow9);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow10);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow11);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow12);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow13);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);

centerLabel = Turbine.UI.Label();
centerLabel:SetParent(centerWindow14);
centerLabel:SetPosition( 0, 0 );
centerLabel:SetSize( 36, 36  );
centerLabel:SetText( "" );
centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
centerLabel:SetZOrder(-1);
centerLabel:SetMouseVisible(false);


centerQS8 = Turbine.UI.Lotro.Quickslot();
centerQS8:SetParent( centerWindow8 );
centerQS8:SetPosition( 0, 0 );
centerQS8:SetSize( 35, 35 );
centerQS8:SetUseOnRightClick(false);

centerQS9 = Turbine.UI.Lotro.Quickslot();
centerQS9:SetParent( centerWindow9 );
centerQS9:SetPosition( 0, 0 );
centerQS9:SetSize( 35, 35 );
centerQS9:SetUseOnRightClick(false);

centerQS10 = Turbine.UI.Lotro.Quickslot();
centerQS10:SetParent( centerWindow10 );
centerQS10:SetPosition( 0, 0 );
centerQS10:SetSize( 35, 35 );
centerQS10:SetUseOnRightClick(false);

centerQS11 = Turbine.UI.Lotro.Quickslot();
centerQS11:SetParent( centerWindow11 );
centerQS11:SetPosition( 0, 0 );
centerQS11:SetSize( 35, 35 );
centerQS11:SetUseOnRightClick(false);

centerQS12 = Turbine.UI.Lotro.Quickslot();
centerQS12:SetParent( centerWindow12 );
centerQS12:SetPosition( 0, 0 );
centerQS12:SetSize( 35, 35 );
centerQS12:SetUseOnRightClick(false);

centerQS13 = Turbine.UI.Lotro.Quickslot();
centerQS13:SetParent( centerWindow13 );
centerQS13:SetPosition( 0, 0 );
centerQS13:SetSize( 35, 35 );
centerQS13:SetUseOnRightClick(false);

centerQS14 = Turbine.UI.Lotro.Quickslot();
centerQS14:SetParent( centerWindow14 );
centerQS14:SetPosition( 0, 0 );
centerQS14:SetSize( 35, 35 );
centerQS14:SetUseOnRightClick(false);


------------------------------------------------------------------------------------------
-- setting the shortcuts
------------------------------------------------------------------------------------------
if(settings.shortcutData_1 ~= "") then
	centerQS1:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_1, settings.shortcutData_1 ) );
end
if(settings.shortcutData_2 ~= "") then
	centerQS2:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_2, settings.shortcutData_2 ) );
end
if(settings.shortcutData_3 ~= "") then
	centerQS3:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_3, settings.shortcutData_3 ) );
end
if(settings.shortcutData_4 ~= "") then
	centerQS4:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_4, settings.shortcutData_4 ) );
end
if(settings.shortcutData_5 ~= "") then
	centerQS5:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_5, settings.shortcutData_5 ) );
end
if(settings.shortcutData_6 ~= "") then
	centerQS6:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_6, settings.shortcutData_6 ) );
end
if(settings.shortcutData_7 ~= "") then
	centerQS7:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_7, settings.shortcutData_7 ) );
end
if(settings.shortcutData_8 ~= "") then
	centerQS8:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_8, settings.shortcutData_8 ) );
end
if(settings.shortcutData_9 ~= "") then
	centerQS9:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_9, settings.shortcutData_9 ) );
end
if(settings.shortcutData_10 ~= "") then
	centerQS10:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_10, settings.shortcutData_10 ) );
end
if(settings.shortcutData_11 ~= "") then
	centerQS11:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_11, settings.shortcutData_11 ) );
end
if(settings.shortcutData_12 ~= "") then
	centerQS12:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_12, settings.shortcutData_12 ) );
end
if(settings.shortcutData_13 ~= "") then
	centerQS13:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_13, settings.shortcutData_13 ) );
end
if(settings.shortcutData_14 ~= "") then
	centerQS14:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_14, settings.shortcutData_14 ) );
end


------------------------------------------------------------------------------------------
-- setting the shortcuts for drag and drop
------------------------------------------------------------------------------------------
centerQS1.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS1:GetShortcut();
	tmp = tmp:GetData();
	
	--Turbine.Shell.WriteLine(tmp); -- display the ID of the schortcut

	settings.shortcutData_1 = tmp;

	SaveSettings(3);
end
centerQS2.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS2:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_2 = tmp;

	SaveSettings(3);
end
centerQS3.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS3:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_3 = tmp;

	SaveSettings(3);
end
centerQS4.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS4:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_4 = tmp;

	SaveSettings(3);
end
centerQS5.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS5:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_5 = tmp;

	SaveSettings(3);
end
centerQS6.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS6:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_6 = tmp;

	SaveSettings(3);
end
centerQS7.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS7:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_7 = tmp;

	SaveSettings(3);
end

centerQS8.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS8:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_8 = tmp;

	SaveSettings(3);
end

centerQS9.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS9:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_9 = tmp;

	SaveSettings(3);
end

centerQS10.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS10:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_10 = tmp;

	SaveSettings(3);
end

centerQS11.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS11:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_11 = tmp;

	SaveSettings(3);
end

centerQS12.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS12:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_12 = tmp;

	SaveSettings(3);
end

centerQS13.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS13:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_13 = tmp;

	SaveSettings(3);
end

centerQS14.DragDrop = function(sender, args)
	local tmp = Turbine.UI.Lotro.Quickslot();
		
	tmp = centerQS14:GetShortcut();
	tmp = tmp:GetData();
	
	settings.shortcutData_14 = tmp;

	SaveSettings(3);
end

------------------------------------------------------------------------------------------
-- close the window with the mousr click on the food
------------------------------------------------------------------------------------------
centerQS8.MouseClick = function(sender, args)
	HelloWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS9.MouseClick = function(sender, args)
	HelloWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS10.MouseClick = function(sender, args)
	HelloWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS11.MouseClick = function(sender, args)
	HelloWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS12.MouseClick = function(sender, args)
	HelloWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS13.MouseClick = function(sender, args)
	HelloWindow:SetVisible(false);
	settings.isWindowVisible = false;
end
centerQS14.MouseClick = function(sender, args)
	HelloWindow:SetVisible(false);
	settings.isWindowVisible = false;
end

------------------------------------------------------------------------------------------
-- delete the shortcut with mouse wheel
------------------------------------------------------------------------------------------

centerQS1.MouseWheel = function(sender, args)
	settings.shortcutData_1 = tostring(""); 
	centerQS1:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS2.MouseWheel = function(sender, args)
	settings.shortcutData_2 = tostring(""); 
	centerQS2:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS3.MouseWheel = function(sender, args)
	settings.shortcutData_3 = tostring(""); 
	centerQS3:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS4.MouseWheel = function(sender, args)
	settings.shortcutData_4 = tostring(""); 
	centerQS4:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS5.MouseWheel = function(sender, args)
	settings.shortcutData_5 = tostring(""); 
	centerQS5:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS6.MouseWheel = function(sender, args)
	settings.shortcutData_6 = tostring(""); 
	centerQS6:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS7.MouseWheel = function(sender, args)
	settings.shortcutData_7 = tostring(""); 
	centerQS7:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS8.MouseWheel = function(sender, args)
	settings.shortcutData_8 = tostring(""); 
	centerQS8:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS9.MouseWheel = function(sender, args)
	settings.shortcutData_9 = tostring(""); 
	centerQS9:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS10.MouseWheel = function(sender, args)
	settings.shortcutData_10 = tostring(""); 
	centerQS10:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS11.MouseWheel = function(sender, args)
	settings.shortcutData_11 = tostring(""); 
	centerQS11:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS12.MouseWheel = function(sender, args)
	settings.shortcutData_12 = tostring(""); 
	centerQS12:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS13.MouseWheel = function(sender, args)
	settings.shortcutData_13 = tostring(""); 
	centerQS13:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end
centerQS14.MouseWheel = function(sender, args)
	settings.shortcutData_14 = tostring(""); 
	centerQS14:SetShortcut(Turbine.UI.Lotro.Shortcut());
	SaveSettings(3);
end

------------------------------------------------------------------------------------------
-- event handling
------------------------------------------------------------------------------------------

HelloWindow.KeyDown=function(sender, args)
	if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
		if(settings.escEnable == true) then
			HelloWindow:SetVisible(false);
			settings.isWindowVisible = false;
		end
	end
end

function HelloWindow:Closing(sender, args)
	settings.isWindowVisible = false;
end

------------------------------------------------------------------------------------------
-- if the position changes, save the new window location
------------------------------------------------------------------------------------------
	HelloWindow.PositionChanged = function( sender, args )
    	local x,y = HelloWindow:GetPosition();
    	settings.positionX = x;
    	settings.positionY = y;
		SaveSettings(1);
	end

				
	



